Bug 605619 - [abrt] crash in thunderbird-3.0.4-2.fc12: Process /usr/lib/thunderbird-3.0/thunderbird-bin was killed by signal 11 (SIGSEGV)
[abrt] crash in thunderbird-3.0.4-2.fc12: Process /usr/lib/thunderbird-3.0/th...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
abrt_hash:0f803db91718306449349d3382f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-18 08:24 EDT by andresbuehlmann
Modified: 2010-12-03 08:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 08:48:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (158.86 KB, text/plain)
2010-06-18 08:24 EDT, andresbuehlmann
no flags Details

  None (edit)
Description andresbuehlmann 2010-06-18 08:24:28 EDT
abrt 1.0.9 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/lib/thunderbird-3.0/thunderbird-bin
component: thunderbird
crash_function: nsProfileLock::FatalSignalHandler
executable: /usr/lib/thunderbird-3.0/thunderbird-bin
global_uuid: 0f803db91718306449349d3382fca88d8dbccf5a
kernel: 2.6.32.14-127.fc12.i686
package: thunderbird-3.0.4-2.fc12
rating: 4
reason: Process /usr/lib/thunderbird-3.0/thunderbird-bin was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)
Comment 1 andresbuehlmann 2010-06-18 08:24:32 EDT
Created attachment 425099 [details]
File: backtrace
Comment 2 andresbuehlmann 2010-06-24 04:21:13 EDT
Package: thunderbird-3.0.4-2.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.Start thunderbird
2. Delete email
3. Select other email account (inbox)


Comment
-----
All in a hurry
Comment 3 andresbuehlmann 2010-07-01 04:01:53 EDT
Package: thunderbird-3.0.4-2.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


Comment
-----
Nothing...... Thunderbird was running in background
Comment 4 d. johnson 2010-08-13 11:52:41 EDT
Thank you for taking the time to report this bug. Updates to this package have been released since it was first reported. If you have time to update the package and re-test, please do so and report the results here. You can obtain the updated package by typing 'yum update' or using the graphical updater, Software Update.


Disable any extensions, plugins and non-default themes.  Exit cleanly and restart thunderbird.  Are you able to replicate the crash?


#3  <signal handler called>
No symbol table info available.
#4  nsScriptSecurityManager::GetPrincipalAndFrame (this=0xb5493340, 
    cx=0xa21d3000, frameResult=0x962f730c, rv=0x962f7620)
    at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/caps/src/nsScriptSecurityManager.cpp:2234
        cp = 0x53e58955
        target = 0x0
        targetPrincipal = 0x0
        fp = 0xa210280c
        scriptContext = <value optimized out>
#5  0xb52acb85 in nsScriptSecurityManager::GetSubjectPrincipal (
    this=0xb5493340, cx=0xa21d3000, rv=0x962f7620)
    at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/caps/src/nsScriptSecurityManager.cpp:2308
        fp = 0xa210280c
#6  0xb52af8cb in nsScriptSecurityManager::CheckPropertyAccessImpl (
    this=0xb5493340, aAction=1, aCallContext=0x962f79ac, cx=0xa21d3000, 
    aJSObject=0xb516cd60, aObj=0xb5169980, aTargetURI=0x0, 
    aClassInfo=0xb5169988, aClassName=0x0, aProperty=-1253248196, 
    aCachedClassPolicy=0xb70c34d4)
    at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/caps/src/nsScriptSecurityManager.cpp:684
        rv = <value optimized out>
        subjectPrincipal = <value optimized out>
        objectPrincipal = {<nsCOMPtr_base> = {
            mRawPtr = 0x962f764c}, <No data fields>}
        checkedComponent = {<nsCOMPtr_base> = {
            mRawPtr = 0xb5466b00}, <No data fields>}
        classInfoData = {mClassInfo = 0xb55e656c, mFlags = 2519692796, 
          mName = 0xb55aa3a8 "\203\304\020\205\300u\031\203\354\f\307F\f\001", mDidGetFlags = 12 '\f', mMustFreeName = 107 'k'}
        securityLevel = {level = -1217898928, 
          capability = 0xb7685650 "\260\372A\005\370\372A\005\223"}
#7  0xb52b0177 in nsScriptSecurityManager::CanAccess (this=0xb5493340, 
    aAction=1, aCallContext=0x962f79ac, cx=0xa21d3000, aJSObject=0xb516cd60, 
    aObj=0xb5169980, aClassInfo=0xb5169988, aPropertyName=-1253248196, 
    aPolicy=0xb70c34d4)
    at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/caps/src/nsScriptSecurityManager.cpp:3139
No locals.
#8  0xb601babd in XPCWrappedNative::CallMethod (ccx=..., mode=CALL_GETTER)
    at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/js/src/xpconnect/src/xpcwrappednative.cpp:2043
        rv = <value optimized out>
        retval = 0
        paramCount = <value optimized out>
        err = <value optimized out>
        tls = <value optimized out>
        secAction = <value optimized out>
        methodInfo = <value optimized out>
        src = <value optimized out>
        foundDependentParam = <value optimized out>
        argc = 0
        i = <value optimized out>
        xpcc = 0xacdcd250
        argv = 0xa2102a78
        secFlag = <value optimized out>
        autoStringUsed = 0
        invokeResult = <value optimized out>
        param_iid = {m0 = 2519693656, m1 = 12288, m2 = 41501, 
          m3 = "x*\020\242\031\225b\267"}
        ifaceInfo = 0xb54d0310
        paramBuffer = {{<nsXPTCMiniVariant> = {val = {i8 = 0 '\000', i16 = 0, 
                i32 = 0, i64 = 36945308680192, u8 = 0 '\000', u16 = 0, 
                u32 = 0, u64 = 36945308680192, f = 0, 
                d = 1.8253407793883272e-310, b = 0, c = 0 '\000', wc = 0, 
                p = 0x0}}, ptr = 0x56f9550, 
            type = {<XPTTypeDescriptorPrefix> = {
                flags = 160 '\240'}, <No data fields>}, flags = 227 '\343'}, 
          {<nsXPTCMiniVariant> = {val = {i8 = -96 '\240', i16 = -7264, 
                i32 = -1224285280, i64 = -7624743665289206880, 
                u8 = 160 '\240', u16 = 58272, u32 = 3070682016, 
                u64 = 10822000408420344736, f = -8.04002048e-06, 
                d = -8.0296061836957545e-202, b = -1224285280, 
                c = -96 '\240', wc = 58272, p = 0xb706e3a0}}, 
            ptr = 0x56e0bb8, type = {<XPTTypeDescriptorPrefix> = {
                flags = 160 '\240'}, <No data fields>}, flags = 227 '\343'}, 
          {<nsXPTCMiniVariant> = {val = {i8 = 40 '(', i16 = 20264, 
                i32 = -1493414104, i64 = -5398743651700682968, u8 = 40 '(', 
                u16 = 20264, u32 = 2801553192, u64 = 13048000422008868648, 
                f = -1.7507468e-15, d = -5.1705417046560699e-53, 
                b = -1493414104, c = 40 '(', wc = 20264, p = 0xa6fc4f28}}, 
            ptr = 0x1, type = {<XPTTypeDescriptorPrefix> = {
                flags = 156 '\234'}, <No data fields>}, flags = 74 'J'}, 
          {<nsXPTCMiniVariant> = {val = {i8 = 0 '\000', i16 = 12288, 
                i32 = -1575145472, i64 = -7624743459481636864, u8 = 0 '\000', 
                u16 = 12288, u32 = 2719821824, u64 = 10822000614227914752, 
                f = -2.13028786e-18, d = -8.029792750542429e-202, 
                b = -1575145472, c = 0 '\000', wc = 12288, p = 0xa21d3000}}, 
            ptr = 0x1142c8, type = {<XPTTypeDescriptorPrefix> = {
                flags = 160 '\240'}, <No data fields>}, flags = 227 '\343'}, 
          {<nsXPTCMiniVariant> = {val = {i8 = 32 ' ', i16 = 20256, 
                i32 = -1493414112, i64 = -5398404727241421024, u8 = 32 ' ', 
                u16 = 20256, u32 = 2801553184, u64 = 13048339346468130592, 
                f = -1.75074595e-15, d = -5.4848268768842727e-53, 
                b = -1493414112, c = 32 ' ', wc = 20256, p = 0xa6fc4f20}}, 
            ptr = 0x962f784c, type = {<XPTTypeDescriptorPrefix> = {
                flags = 247 '\367'}, <No data fields>}, flags = 20 '\024'}, 
          {<nsXPTCMiniVariant> = {val = {i8 = -128 '\200', i16 = 896, 
                i32 = -1256914048, i64 = 4857980417016704, u8 = 128 '\200', 
                u16 = 896, u32 = 3038053248, u64 = 4857980417016704, 
                f = -5.55119186e-07, d = 2.4001612322174861e-308, 
                b = -1256914048, c = -128 '\200', wc = 896, p = 0xb5150380}}, 
            ptr = 0x204a9c, type = {<XPTTypeDescriptorPrefix> = {
                flags = 0 '\000'}, <No data fields>}, flags = 0 '\000'}, 
          {<nsXPTCMiniVariant> = {val = {i8 = 0 '\000', i16 = 12288, 
                i32 = -1575145472, i64 = -7624743253323206656, u8 = 0 '\000', 
                u16 = 12288, u32 = 2719821824, u64 = 10822000820386344960, 
                f = -2.13028786e-18, d = -8.0299796354477621e-202, 
                b = -1575145472, c = 0 '\000', wc = 12288, p = 0xa21d3000}}, 
            ptr = 0x114308, type = {<XPTTypeDescriptorPrefix> = {
                flags = 0 '\000'}, <No data fields>}, flags = 48 '0'}, 
          {<nsXPTCMiniVariant> = {val = {i8 = -52 '\314', i16 = 31436, 
                i32 = -1775273268, i64 = -6765198286162789684, 
                u8 = 204 '\314', u16 = 31436, u32 = 2519694028, 
                u64 = 11681545787546761932, f = -1.41751353e-25, 
                d = -2.3374327305122795e-144, b = -1775273268, 
                c = -52 '\314', wc = 31436, p = 0x962f7acc}}, 
            ptr = 0x962f7868, type = {<XPTTypeDescriptorPrefix> = {
                flags = 39 '\''}, <No data fields>}, flags = 123 '{'}}
        autoString = "\by/\226\224<\001\266\002\000\000\000ty/\226\000\000\000\000\300\064\f\267\300y/\226\004\000\000\000\001\213\001\242 \033\024\265\001\000\000\000\204y/\226\347\325\001\266@D\n\266\254y/\226`\315\026\265Xy/\226\005\000\000\000\334c \000\340\220\030\265\070y/\226K\020\021\000\000\060\035\242\340\220\030\265\004\000\000\000\334c \000\320\306;\242\000\000\000\000`\003\345\254\006\000\000\000\254y/\226\340\220\030\265xy/\226\030\020\002\266\000\060\035\242\340\220\030\265\001\000\000"
        dispatchParams = 0x0
        requiredArgs = <value optimized out>
        sm = <value optimized out>
        rt = 0xb765e800
        callee = 0xb5169980
        vtblIndex = 3
        name = -1253248196
#9  0xb6024234 in GetAttribute (cx=0xa21d3000, obj=0xb516cd60, argc=0, 
    argv=0xa2102a78, vp=0x962f7ae8)
    at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/js/src/xpconnect/src/xpcprivate.h:2318
No locals.
#10 XPC_WN_GetterSetter (cx=0xa21d3000, obj=0xb516cd60, argc=0, 




-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2010-11-03 09:05:11 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-12-03 08:48:33 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.